Upstream information

CVE-2012-3406 at MITRE

Description

The vfprintf function in stdio-common/vfprintf.c in GNU C Library (aka glibc) 2.5, 2.12, and probably other versions does not "properly restrict the use of" the alloca function when allocating the SPECS array, which allows context-dependent attackers to bypass the FORTIFY_SOURCE format-string protection mechanism and cause a denial of service (crash) or possibly execute arbitrary code via a crafted format string using positional parameters and a large number of format specifiers, a different vulnerability than CVE-2012-3404 and CVE-2012-3405.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 770891 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
sledsp2-glibc
SUSE Linux Enterprise Desktop 12 SP2
  • glibc >= 2.22-49.16
  • glibc-32bit >= 2.22-49.16
  • glibc-devel >= 2.22-49.16
  • glibc-devel-32bit >= 2.22-49.16
  • glibc-i18ndata >= 2.22-49.16
  • glibc-locale >= 2.22-49.16
  • glibc-locale-32bit >= 2.22-49.16
  • nscd >= 2.22-49.16
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA glibc
SUSE Linux Enterprise Desktop 12 SP3
  • glibc >= 2.22-61.3
  • glibc-32bit >= 2.22-61.3
  • glibc-devel >= 2.22-61.3
  • glibc-devel-32bit >= 2.22-61.3
  • glibc-i18ndata >= 2.22-61.3
  • glibc-locale >= 2.22-61.3
  • glibc-locale-32bit >= 2.22-61.3
  • nscd >= 2.22-61.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA glibc
SUSE Linux Enterprise Module for Basesystem 15
  • glibc >= 2.26-11.8
  • glibc-32bit >= 2.26-11.8
  • glibc-devel >= 2.26-11.8
  • glibc-extra >= 2.26-11.8
  • glibc-i18ndata >= 2.26-11.8
  • glibc-info >= 2.26-11.8
  • glibc-locale >= 2.26-11.8
  • glibc-locale-32bit >= 2.26-11.8
  • glibc-profile >= 2.26-11.8
  • nscd >= 2.26-11.8
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA glibc
SUSE Linux Enterprise Module for Development Tools 15
  • glibc-devel-32bit >= 2.26-11.8
  • glibc-devel-static >= 2.26-11.8
  • glibc-utils >= 2.26-11.8
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA glibc-devel-32bit
SUSE Linux Enterprise Server 11 SP1-LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-32bit >= 2.11.1-0.50.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-devel-32bit >= 2.11.1-0.50.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-locale-32bit >= 2.11.1-0.50.1
  • glibc-profile >= 2.11.1-0.50.1
  • glibc-profile-32bit >= 2.11.1-0.50.1
  • nscd >= 2.11.1-0.50.1
Patchnames:
slessp1-glibc
SUSE Linux Enterprise Server 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.43.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Server 12 SP2
  • glibc >= 2.22-49.16
  • glibc-32bit >= 2.22-49.16
  • glibc-devel >= 2.22-49.16
  • glibc-devel-32bit >= 2.22-49.16
  • glibc-html >= 2.22-49.16
  • glibc-i18ndata >= 2.22-49.16
  • glibc-info >= 2.22-49.16
  • glibc-locale >= 2.22-49.16
  • glibc-locale-32bit >= 2.22-49.16
  • glibc-profile >= 2.22-49.16
  • glibc-profile-32bit >= 2.22-49.16
  • nscd >= 2.22-49.16
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA glibc
SUSE Linux Enterprise Server 12 SP3
  • glibc >= 2.22-61.3
  • glibc-32bit >= 2.22-61.3
  • glibc-devel >= 2.22-61.3
  • glibc-devel-32bit >= 2.22-61.3
  • glibc-html >= 2.22-61.3
  • glibc-i18ndata >= 2.22-61.3
  • glibc-info >= 2.22-61.3
  • glibc-locale >= 2.22-61.3
  • glibc-locale-32bit >= 2.22-61.3
  • glibc-profile >= 2.22-61.3
  • glibc-profile-32bit >= 2.22-61.3
  • nscd >= 2.22-61.3
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA glibc
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • glibc >= 2.22-49.16
  • glibc-devel >= 2.22-49.16
  • glibc-html >= 2.22-49.16
  • glibc-i18ndata >= 2.22-49.16
  • glibc-info >= 2.22-49.16
  • glibc-locale >= 2.22-49.16
  • glibc-profile >= 2.22-49.16
  • nscd >= 2.22-49.16
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA glibc
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-32bit >= 2.11.1-0.50.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-devel-32bit >= 2.11.1-0.50.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-locale-32bit >= 2.11.1-0.50.1
  • glibc-profile >= 2.11.1-0.50.1
  • glibc-profile-32bit >= 2.11.1-0.50.1
  • nscd >= 2.11.1-0.50.1
Patchnames:
slessp1-glibc
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.43.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Server for VMWare 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.43.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Software Development Kit 11 SP2
  • glibc-html >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
Patchnames:
sdksp2-glibc
SUSE Linux Enterprise Software Development Kit 12 SP2
  • glibc-devel-static >= 2.22-49.16
  • glibc-info >= 2.22-49.16
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA glibc-devel-static
SUSE Linux Enterprise Software Development Kit 12 SP3
  • glibc-devel-static >= 2.22-61.3
  • glibc-info >= 2.22-61.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA glibc-devel-static
SUSE Linux Enterprise Server 11 SP1 LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-profile >= 2.11.1-0.50.1
  • nscd >= 2.11.1-0.50.1
Builds
SAT Patch Nr: 8082
SUSE Linux Enterprise Server 11 SP1 LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-32bit >= 2.11.1-0.50.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-devel-32bit >= 2.11.1-0.50.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-locale-32bit >= 2.11.1-0.50.1
  • glibc-profile >= 2.11.1-0.50.1
  • glibc-profile-32bit >= 2.11.1-0.50.1
  • nscd >= 2.11.1-0.50.1
Builds
SAT Patch Nr: 8082
SUSE Linux Enterprise Software Development Kit 11 SP2
  • glibc-html >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
sled11-sp2.x86-64
sle11-sp2-sdk.x86
sles11-sp2.x86
sled11-sp2.x86
sles11-sp2.ia64
sles11-sp2.s390x
sles11-sp2-vmware.x86
sles11-sp2-vmware.x86-64
sles11-sp2.ppc
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
SAT Patch Nr: 7110
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
sled11-sp2.x86-64
sle11-sp2-sdk.x86
sles11-sp2.x86
sled11-sp2.x86
sles11-sp2.ia64
sles11-sp2.s390x
sles11-sp2-vmware.x86
sles11-sp2-vmware.x86-64
sles11-sp2.ppc
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
SAT Patch Nr: 7110
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
sled11-sp2.x86-64
sle11-sp2-sdk.x86
sles11-sp2.x86
sled11-sp2.x86
sles11-sp2.ia64
sles11-sp2.s390x
sles11-sp2-vmware.x86
sles11-sp2-vmware.x86-64
sles11-sp2.ppc
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
SAT Patch Nr: 7110
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • glibc >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-profile >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
sled11-sp2.x86-64
sle11-sp2-sdk.x86
sles11-sp2.x86
sled11-sp2.x86
sles11-sp2.ia64
sles11-sp2.s390x
sles11-sp2-vmware.x86
sles11-sp2-vmware.x86-64
sles11-sp2.ppc
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
SAT Patch Nr: 7110
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
sled11-sp2.x86-64
sle11-sp2-sdk.x86
sles11-sp2.x86
sled11-sp2.x86
sles11-sp2.ia64
sles11-sp2.s390x
sles11-sp2-vmware.x86
sles11-sp2-vmware.x86-64
sles11-sp2.ppc
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
SAT Patch Nr: 7110
SUSE Linux Enterprise Server 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-x86 >= 2.11.3-17.43.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-x86 >= 2.11.3-17.43.1
  • glibc-x86 >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
sled11-sp2.x86-64
sle11-sp2-sdk.x86
sles11-sp2.x86
sled11-sp2.x86
sles11-sp2.ia64
sles11-sp2.s390x
sles11-sp2-vmware.x86
sles11-sp2-vmware.x86-64
sles11-sp2.ppc
sles11-sp2.x86-64
sle11-sp2-sdk.x86-64
SAT Patch Nr: 7110
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • glibc >= 2.4-31.103.1
  • glibc-devel >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-i18ndata >= 2.4-31.103.1
  • glibc-info >= 2.4-31.103.1
  • glibc-locale >= 2.4-31.103.1
  • nscd >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • glibc >= 2.4-31.103.1
  • glibc-32bit >= 2.4-31.103.1
  • glibc-devel >= 2.4-31.103.1
  • glibc-devel-32bit >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-i18ndata >= 2.4-31.103.1
  • glibc-info >= 2.4-31.103.1
  • glibc-locale >= 2.4-31.103.1
  • glibc-locale-32bit >= 2.4-31.103.1
  • nscd >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SLE SDK 10 SP4 for x86
  • glibc-dceext >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SLE SDK 10 SP4 for IPF
  • glibc-dceext >= 2.4-31.103.1
  • glibc-dceext-x86 >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • glibc-profile-x86 >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
  • glibc-dceext >= 2.4-31.103.1
  • glibc-dceext-64bit >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • glibc-profile-64bit >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for X86-64
  • glibc-dceext >= 2.4-31.103.1
  • glibc-dceext-32bit >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • glibc-profile-32bit >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SUSE Linux Enterprise Server 10 SP4 for x86
  • glibc >= 2.4-31.103.1
  • glibc-devel >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-i18ndata >= 2.4-31.103.1
  • glibc-info >= 2.4-31.103.1
  • glibc-locale >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • nscd >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SUSE Linux Enterprise Server 10 SP4 for IPF
  • glibc >= 2.4-31.103.1
  • glibc-devel >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-i18ndata >= 2.4-31.103.1
  • glibc-info >= 2.4-31.103.1
  • glibc-locale >= 2.4-31.103.1
  • glibc-locale-x86 >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • glibc-profile-x86 >= 2.4-31.103.1
  • glibc-x86 >= 2.4-31.103.1
  • nscd >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • glibc >= 2.4-31.103.1
  • glibc-64bit >= 2.4-31.103.1
  • glibc-devel >= 2.4-31.103.1
  • glibc-devel-64bit >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-i18ndata >= 2.4-31.103.1
  • glibc-info >= 2.4-31.103.1
  • glibc-locale >= 2.4-31.103.1
  • glibc-locale-64bit >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • glibc-profile-64bit >= 2.4-31.103.1
  • nscd >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • glibc >= 2.4-31.103.1
  • glibc-32bit >= 2.4-31.103.1
  • glibc-devel >= 2.4-31.103.1
  • glibc-devel-32bit >= 2.4-31.103.1
  • glibc-html >= 2.4-31.103.1
  • glibc-i18ndata >= 2.4-31.103.1
  • glibc-info >= 2.4-31.103.1
  • glibc-locale >= 2.4-31.103.1
  • glibc-locale-32bit >= 2.4-31.103.1
  • glibc-profile >= 2.4-31.103.1
  • glibc-profile-32bit >= 2.4-31.103.1
  • nscd >= 2.4-31.103.1
sles10-sp4.s390x
sled10-sp4.x86-64
sles10-sp4.x86
sled10-sp4.x86
sles10-sp4.ppc
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.ia64
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.s390x
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8351
openSUSE Leap 15.0
  • glibc >= 2.26-lp150.10.13
  • glibc-32bit >= 2.26-lp150.10.13
  • glibc-extra >= 2.26-lp150.10.13
  • glibc-locale >= 2.26-lp150.10.13
  • glibc-locale-32bit >= 2.26-lp150.10.13
  • nscd >= 2.26-lp150.10.13
Patchnames:
openSUSE Leap 15.0 GA glibc
openSUSE Leap 42.2
  • glibc >= 2.22-3.7
  • glibc-32bit >= 2.22-3.7
  • glibc-devel >= 2.22-3.7
  • glibc-extra >= 2.22-3.7
  • glibc-info >= 2.22-3.7
  • glibc-locale >= 2.22-3.7
  • glibc-locale-32bit >= 2.22-3.7
  • nscd >= 2.22-3.7
Patchnames:
openSUSE Leap 42.2 GA glibc
openSUSE Leap 42.3
  • glibc >= 2.22-8.4
  • glibc-32bit >= 2.22-8.4
  • glibc-devel >= 2.22-8.4
  • glibc-extra >= 2.22-8.4
  • glibc-info >= 2.22-8.4
  • glibc-locale >= 2.22-8.4
  • glibc-locale-32bit >= 2.22-8.4
  • nscd >= 2.22-8.4
Patchnames:
openSUSE Leap 42.3 GA glibc
openSUSE Tumbleweed
  • glibc >= 2.24-2.3
  • glibc-32bit >= 2.24-2.3
  • glibc-devel >= 2.24-2.3
  • glibc-devel-32bit >= 2.24-2.3
  • glibc-devel-static >= 2.24-2.3
  • glibc-devel-static-32bit >= 2.24-2.3
  • glibc-extra >= 2.24-2.3
  • glibc-html >= 2.24-2.3
  • glibc-i18ndata >= 2.24-2.3
  • glibc-info >= 2.24-2.3
  • glibc-locale >= 2.24-2.3
  • glibc-locale-32bit >= 2.24-2.3
  • glibc-obsolete >= 2.24-2.3
  • glibc-profile >= 2.24-2.3
  • glibc-profile-32bit >= 2.24-2.3
  • glibc-utils >= 2.24-2.3
  • glibc-utils-32bit >= 2.24-2.3
  • nscd >= 2.24-2.3
Patchnames:
openSUSE Tumbleweed GA glibc


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 glibc Released
SUSE Linux Enterprise Desktop 10 SP4 glibc Affected
SUSE Linux Enterprise Desktop 11 SP1 glibc Released
SUSE Linux Enterprise Desktop 11 SP2 glibc Affected
SUSE Linux Enterprise Desktop 11 SP3 glibc Affected
SUSE Linux Enterprise Desktop 11 SP4 glibc Affected
SUSE Linux Enterprise SDK 11 SP1 glibc Released
SUSE Linux Enterprise SDK 11 SP2 glibc Affected
SUSE Linux Enterprise SDK 11 SP3 glibc Affected
SUSE Linux Enterprise SDK 11 SP4 glibc Affected
SUSE Linux Enterprise Server 10 SP3 glibc Released
SUSE Linux Enterprise Server 10 SP4 glibc Affected
SUSE Linux Enterprise Server 10 SP4 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP1 glibc Released
SUSE Linux Enterprise Server 11 SP1 LTSS glibc Released
SUSE Linux Enterprise Server 11 SP2 glibc Affected
SUSE Linux Enterprise Server 11 SP2 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP3 glibc Affected
SUSE Linux Enterprise Server 11 SP3 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP4 glibc Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 glibc Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 glibc Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 glibc Affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 glibc Released
SUSE Linux Enterprise Server for VMWare 11 SP2 glibc Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 glibc Affected